Debian Bug report logs - #282739
lynx-cur: Lynx logs urls to syslog

version graph

Package: lynx-cur; Maintainer for lynx-cur is Atsuhito KOHDA <kohda@debian.org>; Source for lynx-cur is src:lynx-cur.

Reported by: Arjan Opmeer <arjan@opmeer.net>

Date: Wed, 24 Nov 2004 04:48:01 UTC

Severity: minor

Found in version 2.8.6-6

Fixed in version lynx-cur/2.8.6-8

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#282739; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Arjan Opmeer <arjan@opmeer.net>:
New Bug report received and forwarded. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arjan Opmeer <arjan@opmeer.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lynx-cur: Lynx logs urls to syslog
Date: Wed, 24 Nov 2004 05:32:16 +0100
Package: lynx-cur
Version: 2.8.6-6
Severity: minor


The latest version of lynx-cur started to log urls to syslog.
Lynx reported the following as build defaults:

  The following data were used as automatically-configured compile-time
  definitions when this copy of Lynx was built.
  lynx_cfg.h
  SYSLOG_REQUESTED_URLS               1

I would like to have this option disabled by default.

Also, putting a line "SYSLOG_REQUESTED_URLS:FALSE" in lynx.cfg does not seem
to override this setting. Is there a proper way to toggle this behaviour on
runtime?


Arjan

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.9
Locale: LANG=C, LC_CTYPE=en_US.ISO-8859-15 (charmap=ISO-8859-15)

Versions of packages lynx-cur depends on:
ii  debconf                     1.4.40       Debian configuration management sy
ii  libc6                       2.3.2.ds1-18 GNU C Library: Shared libraries an
ii  libgnutls11                 1.0.16-12    GNU TLS library - runtime library
ii  libncurses5                 5.4-4        Shared libraries for terminal hand
ii  zlib1g                      1:1.2.2-3    compression library - runtime

-- debconf information:
* lynx-cur/etc_lynx.cfg:



Message sent on to Arjan Opmeer <arjan@opmeer.net>:
Bug#282739. Full text and rfc822 format available.

Message #8 received at 282739-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: 282739-submitter@bugs.debian.org
Subject: Re: Bug#282739: lynx-cur: Lynx logs urls to syslog
Date: Wed, 24 Nov 2004 07:28:11 -0500
[Message part 1 (text/plain, inline)]
On Wed, Nov 24, 2004 at 05:50:09AM +0100, Arjan Opmeer wrote:
> Package: lynx-cur
> Version: 2.8.6-6
> Severity: minor
> 
> 
> The latest version of lynx-cur started to log urls to syslog.

Actually that part of the code hasn't changed for a while - it's a packaging
decision.  I turn on most of the features in my testing, and in recent
discussion with the packager, this would have been one of the options listed.

> Lynx reported the following as build defaults:
> 
>   The following data were used as automatically-configured compile-time
>   definitions when this copy of Lynx was built.
>   lynx_cfg.h
>   SYSLOG_REQUESTED_URLS               1
> 
> I would like to have this option disabled by default.
> 
> Also, putting a line "SYSLOG_REQUESTED_URLS:FALSE" in lynx.cfg does not seem
> to override this setting. Is there a proper way to toggle this behaviour on
> runtime?

That's not currently a lynx.cfg option (coincidentally, I was getting tired
of seeing those messages when I check root's mailbox(*), and had made a to-do
item to make it an option).  It's a compile-time option.

(*) though to be precise, there are a lot of messages from spurious package
    dependencies that are harder to get rid of...

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#282739; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #13 received at 282739@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: arjan@opmeer.net, 282739@bugs.debian.org
Subject: Re: Bug#282739: lynx-cur: Lynx logs urls to syslog
Date: Wed, 24 Nov 2004 22:47:04 +0900 (JST)
From: Arjan Opmeer <arjan@opmeer.net>
Subject: Bug#282739: lynx-cur: Lynx logs urls to syslog
Date: Wed, 24 Nov 2004 05:32:16 +0100

> The latest version of lynx-cur started to log urls to syslog.
> Lynx reported the following as build defaults:
> 
>   The following data were used as automatically-configured compile-time
>   definitions when this copy of Lynx was built.
>   lynx_cfg.h
>   SYSLOG_REQUESTED_URLS               1
> 
> I would like to have this option disabled by default.
> 
> Also, putting a line "SYSLOG_REQUESTED_URLS:FALSE" in lynx.cfg does not seem
> to override this setting. Is there a proper way to toggle this behaviour on
> runtime?

It seems there is no way to toggle the behavior on runtime.
So if many users don't like this option I'll remove it but
I'd like to wait for a while.

Thanks for your report and interest in lynx-cur.

Regards,		   2004.11.24(Wed)

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda@debian.org>
 Department of Math., Univ. of Tokushima



Message sent on to Arjan Opmeer <arjan@opmeer.net>:
Bug#282739. Full text and rfc822 format available.

Message #16 received at 282739-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 282739-submitter@bugs.debian.org
Subject: re: #282739 - lynx-cur: Lynx logs urls to syslog
Date: Thu, 30 Dec 2004 07:50:06 -0500
[Message part 1 (text/plain, inline)]
fixed in lynx 2.8.6dev.9

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Arjan Opmeer <arjan@opmeer.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #21 received at 282739-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 282739-close@bugs.debian.org
Subject: Bug#282739: fixed in lynx-cur 2.8.6-8
Date: Sun, 02 Jan 2005 22:17:12 -0500
Source: lynx-cur
Source-Version: 2.8.6-8

We believe that the bug you reported is fixed in the latest version of
lynx-cur, which is due to be installed in the Debian FTP archive:

lynx-cur-wrapper_2.8.6-8_all.deb
  to pool/main/l/lynx-cur/lynx-cur-wrapper_2.8.6-8_all.deb
lynx-cur_2.8.6-8.diff.gz
  to pool/main/l/lynx-cur/lynx-cur_2.8.6-8.diff.gz
lynx-cur_2.8.6-8.dsc
  to pool/main/l/lynx-cur/lynx-cur_2.8.6-8.dsc
lynx-cur_2.8.6-8_i386.deb
  to pool/main/l/lynx-cur/lynx-cur_2.8.6-8_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 282739@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated lynx-cur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  3 Jan 2005 11:05:58 +0900
Source: lynx-cur
Binary: lynx-cur-wrapper lynx-cur
Architecture: source i386 all
Version: 2.8.6-8
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 lynx-cur   - Text-mode WWW Browser with NLS support (development version)
 lynx-cur-wrapper - Wrapper for lynx-cur
Closes: 282739 284679 285140
Changes: 
 lynx-cur (2.8.6-8) unstable; urgency=low
 .
   * This is of 2.8.6dev.10
   - syslog'ing of URLs was now an option in lynx.cfg or in command line.
     (Closes:  #282739)
   - fixed gap in title from newline. (Closes: #284679)
   - fixed can't climb to the root directory.  (Closes: #285140)
Files: 
 3387ffab5c029693f64578c218e773a2 655 web extra lynx-cur_2.8.6-8.dsc
 03ee7a56a089ab8da9b76f242b6b586c 5597227 web extra lynx-cur_2.8.6-8.diff.gz
 3721ded7184dc8edb5e836ab1490f85b 11842 web extra lynx-cur-wrapper_2.8.6-8_all.deb
 b1fdc76728010c9c30d7ce6d8a7a18eb 1875866 web extra lynx-cur_2.8.6-8_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFB2LNL1IXdL1v6kOwRAmHpAJkBeRzvDSBys/hcMVc/8bYF3n/lQQCgmOqM
AiB2pDsFfykEpdAz3C5ciTg=
=zfw3
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:10:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.